
<div class="player-card mb-3">
  <div class="player-header p-3" [ngStyle]="{'background-color': getPlayerColor(), 'color': 'black'}" (click)="togglePlayerCollapse()" (click)="copyToClipboard(player.playerId)">
      {{ player.name }}
  </div>
  <div class="player-body p-3" *ngIf="!isCollapsed">
      <div class="money-transaction-container mb-3">
          <div class="money-display">
              Money: {{ player.money | currency}}
          </div>
          <button class="btn transaction-button" (click)="toggleTransactionHistory()">
              Transactions
          </button>
      </div>

      <div *ngIf="showTransactionHistory">
          <input type="text" [(ngModel)]="searchTerm" class="form-control mb-2" placeholder="Search for Unit">
          <div class="table-container mt-2" style="height: 500px; overflow-y: auto;">
            <table class="custom-table">
              <thead>
                  <tr>
                      <th>Type</th>
                      <th>Unit</th>
                      <th>Item</th>
                      <th>Amt.</th>
                      <th>Pay</th>
                  </tr>
              </thead>
              <tbody>
                  <tr *ngFor="let transaction of filteredTransactions" [ngClass]="{
                          'positive-transaction': transaction.earning > 0,
                          'negative-transaction': transaction.earning < 0
                        }">
                      <td>{{ transaction.type }}</td>
                      <td (click)="handleClickedCell(transaction.entity)"
                          [class.clicked-entity]="clickedCells[transaction.entity]"
                          [class.clickable-entity]="transaction.entity && transaction.entity !== 'MSD'">
                          {{ transaction.entity }}
                      </td>
                      <td>{{ transaction.item | transactionItemFormat }}</td>
                      <td>{{ transaction.amount }}</td>
                      <td>{{ transaction.earning | currency }}</td>
                  </tr>
              </tbody>
          </table>
          
          </div>
      </div>

      <div class="robot-section mt-3" *ngIf="player.robots.length > 0">
          <div class="header-text">Robots:</div>
          <div class="row mt-2">
            <div class="col text-center">
              <button class="btn custom-btn btn-primary" (click)="toggleHighlightRobots()">
                  <span [innerHTML]="highlightRobots ? '<strong><u>Highlight All</u></strong>' : 'Highlight All'"></span>
              </button>
          </div>
          <div class="col text-center">
              <button class="btn custom-btn btn-success" (click)="showRobots = !showRobots">
                  <span [innerHTML]="showRobots ? '<strong><u>Inspect</u></strong>' : 'Inspect'"></span> ({{ player.robots.length }})
              </button>
          </div>
          </div>
      </div>

      <div *ngIf="showRobots" class="robot-list mt-3">
          <input type="text" [(ngModel)]="robotSearchTerm" class="form-control mb-2" placeholder="Search Robots">
          <div class="robot-container">
              <app-robot *ngFor="let robo of filteredRobots" [robot]="robo" [infoToShow]="tag"></app-robot>
          </div>
      </div>

      <div *ngIf="player.robots.length < 1" class="no-robots-text">
          No Robots
      </div>
  </div>
</div>

